package net.moonleay.etaorion.client.modules.hud

import net.minecraft.client.MinecraftClient
import net.minecraft.util.Hand
import net.moonleay.etaorion.client.modules.component.Category
import net.moonleay.etaorion.client.modules.component.MovableModule

class OffHandItem: MovableModule("Off Hand item", Category.HUD) {
    override fun getText4Render(): String {
        val playerEntity = MinecraftClient.getInstance().player!!
        val stack = playerEntity.getStackInHand(Hand.OFF_HAND)
        val itemName = if (stack.item.name.string == "Air") "Empty" else stack.item.name.string
        if(stack.maxDamage == 0) return " x" + stack.count + itemName
        return "${itemName} ${stack.maxDamage - stack.damage}/${stack.maxDamage}"
    }
}
